package com.crm.ucard.dao.repository;

import com.crm.rely.backend.core.pojo.table.ucard.CardTypeCurrencyTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CardTypeCurrencyRepository extends BaseRepository<CardTypeCurrencyTable> {

    List<CardTypeCurrencyTable> findByCardTypeId(Integer cardTypeId);

    CardTypeCurrencyTable findCardTypeCurrencyTableByCardTypeId(Integer cardTypeId);

    void deleteByCardCategory(Integer cardCategory);
}
